
{*******************************************************}
{                                                       }
{       TRichView                                       }
{       WavButton demo project.                         }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}



unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, WavButton, RVStyle, RVScroll, RichView, RVEdit;

type
  TForm1 = class(TForm)
    RichViewEdit1: TRichViewEdit;
    RVStyle1: TRVStyle;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var Btn: TWavButton;
begin
  if not OpenDialog1.Execute then
    exit;
  Btn := TWavButton.Create(nil);
  Btn.Caption := 'Play';
  if not Btn.LoadFromFile(OpenDialog1.FileName) then begin
    Btn.Free;
    exit;
  end;
  RichViewEdit1.InsertControl('', Btn, rvvaBaseline);
end;

initialization
  RegisterClass(TWavButton);

end.
